aboutsummaryrefslogtreecommitdiffstats
path: root/contrail-analytics/hooks/install
diff options
context:
space:
mode:
Diffstat (limited to 'contrail-analytics/hooks/install')
-rwxr-xr-xcontrail-analytics/hooks/install20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrail-analytics/hooks/install b/contrail-analytics/hooks/install
new file mode 100755
index 0000000..29ff689
--- /dev/null
+++ b/contrail-analytics/hooks/install
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Wrapper to deal with newer Ubuntu versions that don't have py2 installed
+# by default.
+
+declare -a DEPS=('apt' 'netaddr' 'netifaces' 'pip' 'yaml' 'dnspython')
+
+check_and_install() {
+ pkg="${1}-${2}"
+ if ! dpkg -s ${pkg} 2>&1 > /dev/null; then
+ apt-get -y install ${pkg}
+ fi
+}
+
+PYTHON="python"
+
+for dep in ${DEPS[@]}; do
+ check_and_install ${PYTHON} ${dep}
+done
+
+exec ./hooks/install.real